ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.83 by root, Sat Jan 21 18:34:25 2006 UTC vs.
Revision 1.91 by root, Sun Jan 22 20:42:05 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PKG_CONFIG XFT_CONFIG PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
883 --enable-next-scroll enable NeXT style scrollbar 883 --enable-next-scroll enable NeXT style scrollbar
884 --enable-xterm-scroll enable Xterm style scrollbar 884 --enable-xterm-scroll enable Xterm style scrollbar
885 --enable-perl enable embedded perl interpreter 885 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 886 --enable-plain-scroll enable plain style scrollbar
887 --enable-xim XIM (X Input Method) protocol support 887 --enable-xim XIM (X Input Method) protocol support
888 --enable-ttygid enable tty setting to group named "tty"
889 --disable-backspace-key disable handling of the backspace key 888 --disable-backspace-key disable handling of the backspace key
890 --disable-delete-key disable handling of the delete key 889 --disable-delete-key disable handling of the delete key
891 --disable-resources disable all resource checking 890 --disable-resources disable all resource checking
892 --enable-8bitctrls enable 8 bit control sequences (not recommended) 891 --enable-8bitctrls enable 8 bit control sequences (not recommended)
893 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 892 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
3221if test "$ac_cv_search_strerror" != no; then 3220if test "$ac_cv_search_strerror" != no; then
3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3221 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3223 3222
3224fi 3223fi
3225 3224
3226
3227ac_ext=c
3228ac_cpp='$CPP $CPPFLAGS'
3229ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3230ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3231ac_compiler_gnu=$ac_cv_c_compiler_gnu
3232
3233
3234LINKER="$CXX"
3235if test x$GCC = xyes && test x$GXX = xyes; then
3236 echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3237echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3238if test "${ac_cv_lib_supcpp_main+set}" = set; then
3239 echo $ECHO_N "(cached) $ECHO_C" >&6
3240else
3241 ac_check_lib_save_LIBS=$LIBS
3242LIBS="-lsupc++ $LIBS"
3243cat >conftest.$ac_ext <<_ACEOF
3244/* confdefs.h. */
3245_ACEOF
3246cat confdefs.h >>conftest.$ac_ext
3247cat >>conftest.$ac_ext <<_ACEOF
3248/* end confdefs.h. */
3249
3250
3251int
3252main ()
3253{
3254main ();
3255 ;
3256 return 0;
3257}
3258_ACEOF
3259rm -f conftest.$ac_objext conftest$ac_exeext
3260if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3261 (eval $ac_link) 2>conftest.er1
3262 ac_status=$?
3263 grep -v '^ *+' conftest.er1 >conftest.err
3264 rm -f conftest.er1
3265 cat conftest.err >&5
3266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3267 (exit $ac_status); } &&
3268 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3270 (eval $ac_try) 2>&5
3271 ac_status=$?
3272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3273 (exit $ac_status); }; } &&
3274 { ac_try='test -s conftest$ac_exeext'
3275 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3276 (eval $ac_try) 2>&5
3277 ac_status=$?
3278 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3279 (exit $ac_status); }; }; then
3280 ac_cv_lib_supcpp_main=yes
3281else
3282 echo "$as_me: failed program was:" >&5
3283sed 's/^/| /' conftest.$ac_ext >&5
3284
3285ac_cv_lib_supcpp_main=no
3286fi
3287rm -f conftest.err conftest.$ac_objext \
3288 conftest$ac_exeext conftest.$ac_ext
3289LIBS=$ac_check_lib_save_LIBS
3290fi
3291echo "$as_me:$LINENO: result: $ac_cv_lib_supcpp_main" >&5
3292echo "${ECHO_T}$ac_cv_lib_supcpp_main" >&6
3293if test $ac_cv_lib_supcpp_main = yes; then
3294
3295 LINKER="$CC"
3296 LIBS="$LIBS -lsupc++"
3297
3298fi
3299
3300fi
3301LINKER=$LINKER
3302
3303
3304ac_ext=cc 3225ac_ext=cc
3305ac_cpp='$CXXCPP $CPPFLAGS' 3226ac_cpp='$CXXCPP $CPPFLAGS'
3306ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3227ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3307ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 3228ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3308ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 3229ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3309 3230
3231
3232if test x$GCC = xyes && test x$GXX = xyes; then
3233 echo "$as_me:$LINENO: checking for working libsupc++" >&5
3234echo $ECHO_N "checking for working libsupc++... $ECHO_C" >&6
3235 save_CXX="$CXX"
3236 save_LIBS="$LIBS"
3237 CXX="$CC"
3238 LIBS="$LIBS -lsupc++"
3239 LINKER="$CC"
3240
3241cat >conftest.$ac_ext <<_ACEOF
3242/* confdefs.h. */
3243_ACEOF
3244cat confdefs.h >>conftest.$ac_ext
3245cat >>conftest.$ac_ext <<_ACEOF
3246/* end confdefs.h. */
3247struct test { }; void f() try { throw new test; } catch (...) { throw; }
3248int
3249main ()
3250{
3251
3252 ;
3253 return 0;
3254}
3255_ACEOF
3256rm -f conftest.$ac_objext conftest$ac_exeext
3257if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3258 (eval $ac_link) 2>conftest.er1
3259 ac_status=$?
3260 grep -v '^ *+' conftest.er1 >conftest.err
3261 rm -f conftest.er1
3262 cat conftest.err >&5
3263 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3264 (exit $ac_status); } &&
3265 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3266 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3267 (eval $ac_try) 2>&5
3268 ac_status=$?
3269 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3270 (exit $ac_status); }; } &&
3271 { ac_try='test -s conftest$ac_exeext'
3272 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3273 (eval $ac_try) 2>&5
3274 ac_status=$?
3275 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3276 (exit $ac_status); }; }; then
3277 echo "$as_me:$LINENO: result: ok" >&5
3278echo "${ECHO_T}ok" >&6
3279else
3280 echo "$as_me: failed program was:" >&5
3281sed 's/^/| /' conftest.$ac_ext >&5
3282
3283
3284 echo "$as_me:$LINENO: result: no, making everything bigger and slower" >&5
3285echo "${ECHO_T}no, making everything bigger and slower" >&6
3286 LIBS="$save_LIBS"
3287 LINKER="$save_CXX"
3288
3289
3290fi
3291rm -f conftest.err conftest.$ac_objext \
3292 conftest$ac_exeext conftest.$ac_ext
3293 CXX="$save_CXX"
3294fi
3295LINKER=$LINKER
3296
3297
3298ac_ext=cc
3299ac_cpp='$CXXCPP $CPPFLAGS'
3300ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3301ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3302ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3303
3310if test -z "$orig_CXXFLAGS"; then 3304if test -z "$orig_CXXFLAGS"; then
3311 if test x$GCC = xyes && test "x$GXX" = xyes; then 3305 if test x$GCC = xyes && test "x$GXX" = xyes; then
3312 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3306 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
3313
3314cat >conftest.$ac_ext <<_ACEOF 3307 cat >conftest.$ac_ext <<_ACEOF
3315/* confdefs.h. */ 3308/* confdefs.h. */
3316_ACEOF 3309_ACEOF
3317cat confdefs.h >>conftest.$ac_ext 3310cat confdefs.h >>conftest.$ac_ext
3318cat >>conftest.$ac_ext <<_ACEOF 3311cat >>conftest.$ac_ext <<_ACEOF
3319/* end confdefs.h. */ 3312/* end confdefs.h. */
4341 if test x$enableval = xyes -o x$enableval = xno; then 4334 if test x$enableval = xyes -o x$enableval = xno; then
4342 support_xim=$enableval 4335 support_xim=$enableval
4343 fi 4336 fi
4344fi; 4337fi;
4345 4338
4346# Check whether --enable-ttygid or --disable-ttygid was given.
4347if test "${enable_ttygid+set}" = set; then
4348 enableval="$enable_ttygid"
4349 if test x$enableval = xyes; then
4350
4351cat >>confdefs.h <<\_ACEOF
4352#define TTY_GID_SUPPORT 1
4353_ACEOF
4354
4355 fi
4356fi;
4357
4358# Check whether --enable-backspace-key or --disable-backspace-key was given. 4339# Check whether --enable-backspace-key or --disable-backspace-key was given.
4359if test "${enable_backspace_key+set}" = set; then 4340if test "${enable_backspace_key+set}" = set; then
4360 enableval="$enable_backspace_key" 4341 enableval="$enable_backspace_key"
4361 if test x$enableval = xno; then 4342 if test x$enableval = xno; then
4362 4343
10077 10058
10078 10059
10079 10060
10080 10061
10081 10062
10082
10083for ac_func in \ 10063for ac_func in \
10084 unsetenv \ 10064 unsetenv \
10085 setutent \ 10065 setutent \
10086 seteuid \ 10066 seteuid \
10087 setresuid \ 10067 setresuid \
10088 setreuid \ 10068 setreuid \
10089 on_exit \ 10069 on_exit \
10090 nanosleep \
10091 10070
10092do 10071do
10093as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10072as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10094echo "$as_me:$LINENO: checking for $ac_func" >&5 10073echo "$as_me:$LINENO: checking for $ac_func" >&5
10095echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 10074echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10592 10571
10593fi 10572fi
10594if test $ac_cv_header_utmp_h = yes; then 10573if test $ac_cv_header_utmp_h = yes; then
10595 echo "$as_me:$LINENO: checking for struct utmp" >&5 10574 echo "$as_me:$LINENO: checking for struct utmp" >&5
10596echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6 10575echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6
10597if test "${rxvt_cv_struct_utmp+set}" = set; then 10576if test "${struct_utmp+set}" = set; then
10598 echo $ECHO_N "(cached) $ECHO_C" >&6 10577 echo $ECHO_N "(cached) $ECHO_C" >&6
10599else 10578else
10600 cat >conftest.$ac_ext <<_ACEOF 10579 cat >conftest.$ac_ext <<_ACEOF
10601/* confdefs.h. */ 10580/* confdefs.h. */
10602_ACEOF 10581_ACEOF
10632 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10611 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10633 (eval $ac_try) 2>&5 10612 (eval $ac_try) 2>&5
10634 ac_status=$? 10613 ac_status=$?
10635 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10614 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10636 (exit $ac_status); }; }; then 10615 (exit $ac_status); }; }; then
10637 rxvt_cv_struct_utmp=yes 10616 struct_utmp=yes
10638else 10617else
10639 echo "$as_me: failed program was:" >&5 10618 echo "$as_me: failed program was:" >&5
10640sed 's/^/| /' conftest.$ac_ext >&5 10619sed 's/^/| /' conftest.$ac_ext >&5
10641 10620
10642rxvt_cv_struct_utmp=no 10621struct_utmp=no
10643fi 10622fi
10644rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10623rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10645fi 10624fi
10646echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp" >&5 10625echo "$as_me:$LINENO: result: $struct_utmp" >&5
10647echo "${ECHO_T}$rxvt_cv_struct_utmp" >&6 10626echo "${ECHO_T}$struct_utmp" >&6
10648if test x$rxvt_cv_struct_utmp = xyes; then 10627if test x$struct_utmp = xyes; then
10649 10628
10650cat >>confdefs.h <<\_ACEOF 10629cat >>confdefs.h <<\_ACEOF
10651#define HAVE_STRUCT_UTMP 1 10630#define HAVE_STRUCT_UTMP 1
10652_ACEOF 10631_ACEOF
10653 10632
10654fi 10633fi
10655 10634
10656 10635
10657echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5 10636echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5
10658echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6 10637echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6
10659if test "${rxvt_cv_struct_utmp_host+set}" = set; then 10638if test "${struct_utmp_host+set}" = set; then
10660 echo $ECHO_N "(cached) $ECHO_C" >&6 10639 echo $ECHO_N "(cached) $ECHO_C" >&6
10661else 10640else
10662 cat >conftest.$ac_ext <<_ACEOF 10641 cat >conftest.$ac_ext <<_ACEOF
10663/* confdefs.h. */ 10642/* confdefs.h. */
10664_ACEOF 10643_ACEOF
10694 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10673 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10695 (eval $ac_try) 2>&5 10674 (eval $ac_try) 2>&5
10696 ac_status=$? 10675 ac_status=$?
10697 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10676 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10698 (exit $ac_status); }; }; then 10677 (exit $ac_status); }; }; then
10699 rxvt_cv_struct_utmp_host=yes 10678 struct_utmp_host=yes
10700else 10679else
10701 echo "$as_me: failed program was:" >&5 10680 echo "$as_me: failed program was:" >&5
10702sed 's/^/| /' conftest.$ac_ext >&5 10681sed 's/^/| /' conftest.$ac_ext >&5
10703 10682
10704rxvt_cv_struct_utmp_host=no 10683struct_utmp_host=no
10705fi 10684fi
10706rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10685rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10707fi 10686fi
10708echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_host" >&5 10687echo "$as_me:$LINENO: result: $struct_utmp_host" >&5
10709echo "${ECHO_T}$rxvt_cv_struct_utmp_host" >&6 10688echo "${ECHO_T}$struct_utmp_host" >&6
10710if test x$rxvt_cv_struct_utmp_host = xyes; then 10689if test x$struct_utmp_host = xyes; then
10711 10690
10712cat >>confdefs.h <<\_ACEOF 10691cat >>confdefs.h <<\_ACEOF
10713#define HAVE_UTMP_HOST 1 10692#define HAVE_UTMP_HOST 1
10714_ACEOF 10693_ACEOF
10715 10694
10716fi 10695fi
10717 10696
10718echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5 10697echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5
10719echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6 10698echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6
10720if test "${rxvt_cv_struct_utmp_pid+set}" = set; then 10699if test "${struct_utmp_pid+set}" = set; then
10721 echo $ECHO_N "(cached) $ECHO_C" >&6 10700 echo $ECHO_N "(cached) $ECHO_C" >&6
10722else 10701else
10723 cat >conftest.$ac_ext <<_ACEOF 10702 cat >conftest.$ac_ext <<_ACEOF
10724/* confdefs.h. */ 10703/* confdefs.h. */
10725_ACEOF 10704_ACEOF
10755 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10734 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10756 (eval $ac_try) 2>&5 10735 (eval $ac_try) 2>&5
10757 ac_status=$? 10736 ac_status=$?
10758 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10737 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10759 (exit $ac_status); }; }; then 10738 (exit $ac_status); }; }; then
10760 rxvt_cv_struct_utmp_pid=yes 10739 struct_utmp_pid=yes
10761else 10740else
10762 echo "$as_me: failed program was:" >&5 10741 echo "$as_me: failed program was:" >&5
10763sed 's/^/| /' conftest.$ac_ext >&5 10742sed 's/^/| /' conftest.$ac_ext >&5
10764 10743
10765rxvt_cv_struct_utmp_pid=no 10744struct_utmp_pid=no
10766fi 10745fi
10767rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10746rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10768fi 10747fi
10769echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_pid" >&5 10748echo "$as_me:$LINENO: result: $struct_utmp_pid" >&5
10770echo "${ECHO_T}$rxvt_cv_struct_utmp_pid" >&6 10749echo "${ECHO_T}$struct_utmp_pid" >&6
10771if test x$rxvt_cv_struct_utmp_pid = xyes; then 10750if test x$struct_utmp_pid = xyes; then
10772 10751
10773cat >>confdefs.h <<\_ACEOF 10752cat >>confdefs.h <<\_ACEOF
10774#define HAVE_UTMP_PID 1 10753#define HAVE_UTMP_PID 1
10775_ACEOF 10754_ACEOF
10776 10755
10917 10896
10918fi 10897fi
10919if test $ac_cv_header_utmpx_h = yes; then 10898if test $ac_cv_header_utmpx_h = yes; then
10920 echo "$as_me:$LINENO: checking for struct utmpx" >&5 10899 echo "$as_me:$LINENO: checking for struct utmpx" >&5
10921echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6 10900echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6
10922if test "${rxvt_cv_struct_utmpx+set}" = set; then 10901if test "${struct_utmpx+set}" = set; then
10923 echo $ECHO_N "(cached) $ECHO_C" >&6 10902 echo $ECHO_N "(cached) $ECHO_C" >&6
10924else 10903else
10925 cat >conftest.$ac_ext <<_ACEOF 10904 cat >conftest.$ac_ext <<_ACEOF
10926/* confdefs.h. */ 10905/* confdefs.h. */
10927_ACEOF 10906_ACEOF
10957 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10936 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10958 (eval $ac_try) 2>&5 10937 (eval $ac_try) 2>&5
10959 ac_status=$? 10938 ac_status=$?
10960 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10939 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10961 (exit $ac_status); }; }; then 10940 (exit $ac_status); }; }; then
10962 rxvt_cv_struct_utmpx=yes 10941 struct_utmpx=yes
10963else 10942else
10964 echo "$as_me: failed program was:" >&5 10943 echo "$as_me: failed program was:" >&5
10965sed 's/^/| /' conftest.$ac_ext >&5 10944sed 's/^/| /' conftest.$ac_ext >&5
10966 10945
10967rxvt_cv_struct_utmpx=no 10946struct_utmpx=no
10968fi 10947fi
10969rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10948rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10970fi 10949fi
10971echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx" >&5 10950echo "$as_me:$LINENO: result: $struct_utmpx" >&5
10972echo "${ECHO_T}$rxvt_cv_struct_utmpx" >&6 10951echo "${ECHO_T}$struct_utmpx" >&6
10973if test x$rxvt_cv_struct_utmpx = xyes; then 10952if test x$struct_utmpx = xyes; then
10974 10953
10975cat >>confdefs.h <<\_ACEOF 10954cat >>confdefs.h <<\_ACEOF
10976#define HAVE_STRUCT_UTMPX 1 10955#define HAVE_STRUCT_UTMPX 1
10977_ACEOF 10956_ACEOF
10978 10957
10979fi 10958fi
10980 10959
10981 10960
10982echo "$as_me:$LINENO: checking for host in utmpx struct" >&5 10961echo "$as_me:$LINENO: checking for host in utmpx struct" >&5
10983echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6 10962echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6
10984if test "${rxvt_cv_struct_utmpx_host+set}" = set; then 10963if test "${struct_utmpx_host+set}" = set; then
10985 echo $ECHO_N "(cached) $ECHO_C" >&6 10964 echo $ECHO_N "(cached) $ECHO_C" >&6
10986else 10965else
10987 cat >conftest.$ac_ext <<_ACEOF 10966 cat >conftest.$ac_ext <<_ACEOF
10988/* confdefs.h. */ 10967/* confdefs.h. */
10989_ACEOF 10968_ACEOF
11019 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10998 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11020 (eval $ac_try) 2>&5 10999 (eval $ac_try) 2>&5
11021 ac_status=$? 11000 ac_status=$?
11022 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11001 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11023 (exit $ac_status); }; }; then 11002 (exit $ac_status); }; }; then
11024 rxvt_cv_struct_utmpx_host=yes 11003 struct_utmpx_host=yes
11025else 11004else
11026 echo "$as_me: failed program was:" >&5 11005 echo "$as_me: failed program was:" >&5
11027sed 's/^/| /' conftest.$ac_ext >&5 11006sed 's/^/| /' conftest.$ac_ext >&5
11028 11007
11029rxvt_cv_struct_utmpx_host=no 11008struct_utmpx_host=no
11030fi 11009fi
11031rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11010rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11032fi 11011fi
11033echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_host" >&5 11012echo "$as_me:$LINENO: result: $struct_utmpx_host" >&5
11034echo "${ECHO_T}$rxvt_cv_struct_utmpx_host" >&6 11013echo "${ECHO_T}$struct_utmpx_host" >&6
11035if test x$rxvt_cv_struct_utmpx_host = xyes; then 11014if test x$struct_utmpx_host = xyes; then
11036 11015
11037cat >>confdefs.h <<\_ACEOF 11016cat >>confdefs.h <<\_ACEOF
11038#define HAVE_UTMPX_HOST 1 11017#define HAVE_UTMPX_HOST 1
11039_ACEOF 11018_ACEOF
11040 11019
11041fi 11020fi
11042 11021
11043echo "$as_me:$LINENO: checking for session in utmpx struct" >&5 11022echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
11044echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6 11023echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
11045if test "${rxvt_cv_struct_utmpx_session+set}" = set; then 11024if test "${struct_utmpx_session+set}" = set; then
11046 echo $ECHO_N "(cached) $ECHO_C" >&6 11025 echo $ECHO_N "(cached) $ECHO_C" >&6
11047else 11026else
11048 cat >conftest.$ac_ext <<_ACEOF 11027 cat >conftest.$ac_ext <<_ACEOF
11049/* confdefs.h. */ 11028/* confdefs.h. */
11050_ACEOF 11029_ACEOF
11080 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11059 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11081 (eval $ac_try) 2>&5 11060 (eval $ac_try) 2>&5
11082 ac_status=$? 11061 ac_status=$?
11083 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11062 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11084 (exit $ac_status); }; }; then 11063 (exit $ac_status); }; }; then
11085 rxvt_cv_struct_utmpx_session=yes 11064 struct_utmpx_session=yes
11086else 11065else
11087 echo "$as_me: failed program was:" >&5 11066 echo "$as_me: failed program was:" >&5
11088sed 's/^/| /' conftest.$ac_ext >&5 11067sed 's/^/| /' conftest.$ac_ext >&5
11089 11068
11090rxvt_cv_struct_utmpx_session=no 11069struct_utmpx_session=no
11091fi 11070fi
11092rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11071rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11093fi 11072fi
11094echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_session" >&5 11073echo "$as_me:$LINENO: result: $struct_utmpx_session" >&5
11095echo "${ECHO_T}$rxvt_cv_struct_utmpx_session" >&6 11074echo "${ECHO_T}$struct_utmpx_session" >&6
11096if test x$rxvt_cv_struct_utmpx_session = xyes; then 11075if test x$struct_utmpx_session = xyes; then
11097 11076
11098cat >>confdefs.h <<\_ACEOF 11077cat >>confdefs.h <<\_ACEOF
11099#define HAVE_UTMPX_SESSION 1 11078#define HAVE_UTMPX_SESSION 1
11100_ACEOF 11079_ACEOF
11101 11080
11104fi 11083fi
11105 11084
11106 11085
11107echo "$as_me:$LINENO: checking for struct lastlog" >&5 11086echo "$as_me:$LINENO: checking for struct lastlog" >&5
11108echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6 11087echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
11109if test "${rxvt_cv_struct_lastlog+set}" = set; then 11088if test "${struct_lastlog+set}" = set; then
11110 echo $ECHO_N "(cached) $ECHO_C" >&6 11089 echo $ECHO_N "(cached) $ECHO_C" >&6
11111else 11090else
11112 cat >conftest.$ac_ext <<_ACEOF 11091 cat >conftest.$ac_ext <<_ACEOF
11113/* confdefs.h. */ 11092/* confdefs.h. */
11114_ACEOF 11093_ACEOF
11148 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11127 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11149 (eval $ac_try) 2>&5 11128 (eval $ac_try) 2>&5
11150 ac_status=$? 11129 ac_status=$?
11151 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11130 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11152 (exit $ac_status); }; }; then 11131 (exit $ac_status); }; }; then
11153 rxvt_cv_struct_lastlog=yes 11132 struct_lastlog=yes
11154else 11133else
11155 echo "$as_me: failed program was:" >&5 11134 echo "$as_me: failed program was:" >&5
11156sed 's/^/| /' conftest.$ac_ext >&5 11135sed 's/^/| /' conftest.$ac_ext >&5
11157 11136
11158rxvt_cv_struct_lastlog=no 11137struct_lastlog=no
11159fi 11138fi
11160rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11139rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11161fi 11140fi
11162echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlog" >&5 11141echo "$as_me:$LINENO: result: $struct_lastlog" >&5
11163echo "${ECHO_T}$rxvt_cv_struct_lastlog" >&6 11142echo "${ECHO_T}$struct_lastlog" >&6
11164if test x$rxvt_cv_struct_lastlog = xyes; then 11143if test x$struct_lastlog = xyes; then
11165 11144
11166cat >>confdefs.h <<\_ACEOF 11145cat >>confdefs.h <<\_ACEOF
11167#define HAVE_STRUCT_LASTLOG 1 11146#define HAVE_STRUCT_LASTLOG 1
11168_ACEOF 11147_ACEOF
11169 11148
11170fi 11149fi
11171 11150
11172echo "$as_me:$LINENO: checking for struct lastlogx" >&5 11151echo "$as_me:$LINENO: checking for struct lastlogx" >&5
11173echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6 11152echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6
11174if test "${rxvt_cv_struct_lastlogx+set}" = set; then 11153if test "${struct_lastlogx+set}" = set; then
11175 echo $ECHO_N "(cached) $ECHO_C" >&6 11154 echo $ECHO_N "(cached) $ECHO_C" >&6
11176else 11155else
11177 cat >conftest.$ac_ext <<_ACEOF 11156 cat >conftest.$ac_ext <<_ACEOF
11178/* confdefs.h. */ 11157/* confdefs.h. */
11179_ACEOF 11158_ACEOF
11213 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11192 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11214 (eval $ac_try) 2>&5 11193 (eval $ac_try) 2>&5
11215 ac_status=$? 11194 ac_status=$?
11216 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11195 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11217 (exit $ac_status); }; }; then 11196 (exit $ac_status); }; }; then
11218 rxvt_cv_struct_lastlogx=yes 11197 struct_lastlogx=yes
11219else 11198else
11220 echo "$as_me: failed program was:" >&5 11199 echo "$as_me: failed program was:" >&5
11221sed 's/^/| /' conftest.$ac_ext >&5 11200sed 's/^/| /' conftest.$ac_ext >&5
11222 11201
11223rxvt_cv_struct_lastlogx=no 11202struct_lastlogx=no
11224fi 11203fi
11225rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11204rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11226fi 11205fi
11227echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlogx" >&5 11206echo "$as_me:$LINENO: result: $struct_lastlogx" >&5
11228echo "${ECHO_T}$rxvt_cv_struct_lastlogx" >&6 11207echo "${ECHO_T}$struct_lastlogx" >&6
11229if test x$rxvt_cv_struct_lastlogx = xyes; then 11208if test x$struct_lastlogx = xyes; then
11230 11209
11231cat >>confdefs.h <<\_ACEOF 11210cat >>confdefs.h <<\_ACEOF
11232#define HAVE_STRUCT_LASTLOGX 1 11211#define HAVE_STRUCT_LASTLOGX 1
11233_ACEOF 11212_ACEOF
11234 11213
11235fi 11214fi
11236 11215
11237 11216
11238echo "$as_me:$LINENO: checking where utmp is located" >&5 11217echo "$as_me:$LINENO: checking where utmp is located" >&5
11239echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6 11218echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6
11240if test "${rxvt_cv_path_utmp+set}" = set; then 11219if test "${path_utmp+set}" = set; then
11241 echo $ECHO_N "(cached) $ECHO_C" >&6 11220 echo $ECHO_N "(cached) $ECHO_C" >&6
11242else 11221else
11243 if test "$cross_compiling" = yes; then 11222 if test "$cross_compiling" = yes; then
11244 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&5 11223 { echo "$as_me:$LINENO: WARNING: Define UTMP_FILE in config.h manually" >&5
11245echo "$as_me: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&2;} 11224echo "$as_me: WARNING: Define UTMP_FILE in config.h manually" >&2;}
11246else 11225else
11247 cat >conftest.$ac_ext <<_ACEOF 11226 cat >conftest.$ac_ext <<_ACEOF
11248/* confdefs.h. */ 11227/* confdefs.h. */
11249_ACEOF 11228_ACEOF
11250cat confdefs.h >>conftest.$ac_ext 11229cat confdefs.h >>conftest.$ac_ext
11286 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11265 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11287 (eval $ac_try) 2>&5 11266 (eval $ac_try) 2>&5
11288 ac_status=$? 11267 ac_status=$?
11289 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11268 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11290 (exit $ac_status); }; }; then 11269 (exit $ac_status); }; }; then
11291 rxvt_cv_path_utmp=`cat conftestval` 11270 path_utmp=`cat conftestval`
11292else 11271else
11293 echo "$as_me: program exited with status $ac_status" >&5 11272 echo "$as_me: program exited with status $ac_status" >&5
11294echo "$as_me: failed program was:" >&5 11273echo "$as_me: failed program was:" >&5
11295sed 's/^/| /' conftest.$ac_ext >&5 11274sed 's/^/| /' conftest.$ac_ext >&5
11296 11275
11297( exit $ac_status ) 11276( exit $ac_status )
11298rxvt_cv_path_utmp= 11277path_utmp=
11299fi 11278fi
11300rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11279rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11301fi 11280fi
11302fi 11281fi
11303echo "$as_me:$LINENO: result: $rxvt_cv_path_utmp" >&5 11282echo "$as_me:$LINENO: result: $path_utmp" >&5
11304echo "${ECHO_T}$rxvt_cv_path_utmp" >&6 11283echo "${ECHO_T}$path_utmp" >&6
11305if test x$rxvt_cv_path_utmp != x; then 11284if test x$path_utmp != x; then
11306 11285
11307cat >>confdefs.h <<_ACEOF 11286cat >>confdefs.h <<_ACEOF
11308#define RXVT_UTMP_FILE "$rxvt_cv_path_utmp" 11287#define UTMP_FILE "$path_utmp"
11309_ACEOF 11288_ACEOF
11310 11289
11311fi 11290fi
11312 11291
11313 11292
11314echo "$as_me:$LINENO: checking where utmpx is located" >&5 11293echo "$as_me:$LINENO: checking where utmpx is located" >&5
11315echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6 11294echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6
11316if test "${rxvt_cv_path_utmpx+set}" = set; then 11295if test "${path_utmpx+set}" = set; then
11317 echo $ECHO_N "(cached) $ECHO_C" >&6 11296 echo $ECHO_N "(cached) $ECHO_C" >&6
11318else 11297else
11319 if test "$cross_compiling" = yes; then 11298 if test "$cross_compiling" = yes; then
11320 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&5 11299 { echo "$as_me:$LINENO: WARNING: Define UTMPX_FILE in config.h manually" >&5
11321echo "$as_me: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&2;} 11300echo "$as_me: WARNING: Define UTMPX_FILE in config.h manually" >&2;}
11322else 11301else
11323 cat >conftest.$ac_ext <<_ACEOF 11302 cat >conftest.$ac_ext <<_ACEOF
11324/* confdefs.h. */ 11303/* confdefs.h. */
11325_ACEOF 11304_ACEOF
11326cat confdefs.h >>conftest.$ac_ext 11305cat confdefs.h >>conftest.$ac_ext
11372 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11351 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11373 (eval $ac_try) 2>&5 11352 (eval $ac_try) 2>&5
11374 ac_status=$? 11353 ac_status=$?
11375 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11354 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11376 (exit $ac_status); }; }; then 11355 (exit $ac_status); }; }; then
11377 rxvt_cv_path_utmpx=`cat conftestval` 11356 path_utmpx=`cat conftestval`
11378else 11357else
11379 echo "$as_me: program exited with status $ac_status" >&5 11358 echo "$as_me: program exited with status $ac_status" >&5
11380echo "$as_me: failed program was:" >&5 11359echo "$as_me: failed program was:" >&5
11381sed 's/^/| /' conftest.$ac_ext >&5 11360sed 's/^/| /' conftest.$ac_ext >&5
11382 11361
11383( exit $ac_status ) 11362( exit $ac_status )
11384rxvt_cv_path_utmpx= 11363path_utmpx=
11385fi 11364fi
11386rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11365rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11387fi 11366fi
11388fi 11367fi
11389echo "$as_me:$LINENO: result: $rxvt_cv_path_utmpx" >&5 11368echo "$as_me:$LINENO: result: $path_utmpx" >&5
11390echo "${ECHO_T}$rxvt_cv_path_utmpx" >&6 11369echo "${ECHO_T}$path_utmpx" >&6
11391if test x$rxvt_cv_path_utmpx != x; then 11370if test x$path_utmpx != x; then
11392 11371
11393cat >>confdefs.h <<_ACEOF 11372cat >>confdefs.h <<_ACEOF
11394#define RXVT_UTMPX_FILE "$rxvt_cv_path_utmpx" 11373#define UTMPX_FILE "$path_utmpx"
11395_ACEOF 11374_ACEOF
11396 11375
11397fi 11376fi
11398 11377
11399 11378
11400echo "$as_me:$LINENO: checking where wtmp is located" >&5 11379echo "$as_me:$LINENO: checking where wtmp is located" >&5
11401echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6 11380echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6
11402if test "${rxvt_cv_path_wtmp+set}" = set; then 11381if test "${path_wtmp+set}" = set; then
11403 echo $ECHO_N "(cached) $ECHO_C" >&6 11382 echo $ECHO_N "(cached) $ECHO_C" >&6
11404else 11383else
11405 if test "$cross_compiling" = yes; then 11384 if test "$cross_compiling" = yes; then
11406 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&5 11385 { echo "$as_me:$LINENO: WARNING: Define WTMP_FILE in config.h manually" >&5
11407echo "$as_me: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&2;} 11386echo "$as_me: WARNING: Define WTMP_FILE in config.h manually" >&2;}
11408else 11387else
11409 cat >conftest.$ac_ext <<_ACEOF 11388 cat >conftest.$ac_ext <<_ACEOF
11410/* confdefs.h. */ 11389/* confdefs.h. */
11411_ACEOF 11390_ACEOF
11412cat confdefs.h >>conftest.$ac_ext 11391cat confdefs.h >>conftest.$ac_ext
11450 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11429 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11451 (eval $ac_try) 2>&5 11430 (eval $ac_try) 2>&5
11452 ac_status=$? 11431 ac_status=$?
11453 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11432 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11454 (exit $ac_status); }; }; then 11433 (exit $ac_status); }; }; then
11455 rxvt_cv_path_wtmp=`cat conftestval` 11434 path_wtmp=`cat conftestval`
11456else 11435else
11457 echo "$as_me: program exited with status $ac_status" >&5 11436 echo "$as_me: program exited with status $ac_status" >&5
11458echo "$as_me: failed program was:" >&5 11437echo "$as_me: failed program was:" >&5
11459sed 's/^/| /' conftest.$ac_ext >&5 11438sed 's/^/| /' conftest.$ac_ext >&5
11460 11439
11461( exit $ac_status ) 11440( exit $ac_status )
11462rxvt_cv_path_wtmp= 11441path_wtmp=
11463fi 11442fi
11464rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11443rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11465fi 11444fi
11466fi 11445fi
11467echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmp" >&5 11446echo "$as_me:$LINENO: result: $path_wtmp" >&5
11468echo "${ECHO_T}$rxvt_cv_path_wtmp" >&6 11447echo "${ECHO_T}$path_wtmp" >&6
11469if test x$rxvt_cv_path_wtmp != x; then 11448if test x$path_wtmp != x; then
11470 11449
11471cat >>confdefs.h <<_ACEOF 11450cat >>confdefs.h <<_ACEOF
11472#define RXVT_WTMP_FILE "$rxvt_cv_path_wtmp" 11451#define WTMP_FILE "$path_wtmp"
11473_ACEOF 11452_ACEOF
11474 11453
11475fi 11454fi
11476 11455
11477echo "$as_me:$LINENO: checking where wtmpx is located" >&5 11456echo "$as_me:$LINENO: checking where wtmpx is located" >&5
11478echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6 11457echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6
11479if test "${rxvt_cv_path_wtmpx+set}" = set; then 11458if test "${path_wtmpx+set}" = set; then
11480 echo $ECHO_N "(cached) $ECHO_C" >&6 11459 echo $ECHO_N "(cached) $ECHO_C" >&6
11481else 11460else
11482 if test "$cross_compiling" = yes; then 11461 if test "$cross_compiling" = yes; then
11483 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&5 11462 { echo "$as_me:$LINENO: WARNING: Define WTMPX_FILE in config.h manually" >&5
11484echo "$as_me: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&2;} 11463echo "$as_me: WARNING: Define WTMPX_FILE in config.h manually" >&2;}
11485else 11464else
11486 cat >conftest.$ac_ext <<_ACEOF 11465 cat >conftest.$ac_ext <<_ACEOF
11487/* confdefs.h. */ 11466/* confdefs.h. */
11488_ACEOF 11467_ACEOF
11489cat confdefs.h >>conftest.$ac_ext 11468cat confdefs.h >>conftest.$ac_ext
11526 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11505 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11527 (eval $ac_try) 2>&5 11506 (eval $ac_try) 2>&5
11528 ac_status=$? 11507 ac_status=$?
11529 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11508 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11530 (exit $ac_status); }; }; then 11509 (exit $ac_status); }; }; then
11531 rxvt_cv_path_wtmpx=`cat conftestval` 11510 path_wtmpx=`cat conftestval`
11532else 11511else
11533 echo "$as_me: program exited with status $ac_status" >&5 11512 echo "$as_me: program exited with status $ac_status" >&5
11534echo "$as_me: failed program was:" >&5 11513echo "$as_me: failed program was:" >&5
11535sed 's/^/| /' conftest.$ac_ext >&5 11514sed 's/^/| /' conftest.$ac_ext >&5
11536 11515
11537( exit $ac_status ) 11516( exit $ac_status )
11538rxvt_cv_path_wtmpx= 11517path_wtmpx=
11539fi 11518fi
11540rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11519rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11541fi 11520fi
11542fi 11521fi
11543echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmpx" >&5 11522echo "$as_me:$LINENO: result: $path_wtmpx" >&5
11544echo "${ECHO_T}$rxvt_cv_path_wtmpx" >&6 11523echo "${ECHO_T}$path_wtmpx" >&6
11545if test x$rxvt_cv_path_wtmpx != x; then 11524if test x$path_wtmpx != x; then
11546 11525
11547cat >>confdefs.h <<_ACEOF 11526cat >>confdefs.h <<_ACEOF
11548#define RXVT_WTMPX_FILE "$rxvt_cv_path_wtmpx" 11527#define WTMPX_FILE "$path_wtmpx"
11549_ACEOF 11528_ACEOF
11550 11529
11551fi 11530fi
11552 11531
11553echo "$as_me:$LINENO: checking where lastlog is located" >&5 11532echo "$as_me:$LINENO: checking where lastlog is located" >&5
11554echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6 11533echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6
11555if test "${rxvt_cv_path_lastlog+set}" = set; then 11534if test "${path_lastlog+set}" = set; then
11556 echo $ECHO_N "(cached) $ECHO_C" >&6 11535 echo $ECHO_N "(cached) $ECHO_C" >&6
11557else 11536else
11558 if test "$cross_compiling" = yes; then 11537 if test "$cross_compiling" = yes; then
11559 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&5 11538 { echo "$as_me:$LINENO: WARNING: Define LASTLOG_FILE in config.h manually" >&5
11560echo "$as_me: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&2;} 11539echo "$as_me: WARNING: Define LASTLOG_FILE in config.h manually" >&2;}
11561else 11540else
11562 cat >conftest.$ac_ext <<_ACEOF 11541 cat >conftest.$ac_ext <<_ACEOF
11563/* confdefs.h. */ 11542/* confdefs.h. */
11564_ACEOF 11543_ACEOF
11565cat confdefs.h >>conftest.$ac_ext 11544cat confdefs.h >>conftest.$ac_ext
11607 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11586 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11608 (eval $ac_try) 2>&5 11587 (eval $ac_try) 2>&5
11609 ac_status=$? 11588 ac_status=$?
11610 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11589 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11611 (exit $ac_status); }; }; then 11590 (exit $ac_status); }; }; then
11612 rxvt_cv_path_lastlog=`cat conftestval` 11591 path_lastlog=`cat conftestval`
11613else 11592else
11614 echo "$as_me: program exited with status $ac_status" >&5 11593 echo "$as_me: program exited with status $ac_status" >&5
11615echo "$as_me: failed program was:" >&5 11594echo "$as_me: failed program was:" >&5
11616sed 's/^/| /' conftest.$ac_ext >&5 11595sed 's/^/| /' conftest.$ac_ext >&5
11617 11596
11618( exit $ac_status ) 11597( exit $ac_status )
11619rxvt_cv_path_lastlog= 11598path_lastlog=
11620fi 11599fi
11621rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11600rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11622fi 11601fi
11623fi 11602fi
11624echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlog" >&5 11603echo "$as_me:$LINENO: result: $path_lastlog" >&5
11625echo "${ECHO_T}$rxvt_cv_path_lastlog" >&6 11604echo "${ECHO_T}$path_lastlog" >&6
11626if test x$rxvt_cv_path_lastlog != x; then 11605if test x$path_lastlog != x; then
11627 11606
11628cat >>confdefs.h <<_ACEOF 11607cat >>confdefs.h <<_ACEOF
11629#define RXVT_LASTLOG_FILE "$rxvt_cv_path_lastlog" 11608#define LASTLOG_FILE "$path_lastlog"
11630_ACEOF 11609_ACEOF
11631 11610
11632 if test -d "$rxvt_cv_path_lastlog"; then 11611 if test -d "$path_lastlog"; then
11633 11612
11634cat >>confdefs.h <<\_ACEOF 11613cat >>confdefs.h <<\_ACEOF
11635#define LASTLOG_IS_DIR 1 11614#define LASTLOG_IS_DIR 1
11636_ACEOF 11615_ACEOF
11637 11616
11638 fi 11617 fi
11639fi 11618fi
11640 11619
11641echo "$as_me:$LINENO: checking where lastlogx is located" >&5 11620echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11642echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6 11621echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6
11643if test "${rxvt_cv_path_lastlogx+set}" = set; then 11622if test "${path_lastlogx+set}" = set; then
11644 echo $ECHO_N "(cached) $ECHO_C" >&6 11623 echo $ECHO_N "(cached) $ECHO_C" >&6
11645else 11624else
11646 if test "$cross_compiling" = yes; then 11625 if test "$cross_compiling" = yes; then
11647 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&5 11626 { echo "$as_me:$LINENO: WARNING: Define LASTLOGX_FILE in config.h manually" >&5
11648echo "$as_me: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&2;} 11627echo "$as_me: WARNING: Define LASTLOGX_FILE in config.h manually" >&2;}
11649else 11628else
11650 cat >conftest.$ac_ext <<_ACEOF 11629 cat >conftest.$ac_ext <<_ACEOF
11651/* confdefs.h. */ 11630/* confdefs.h. */
11652_ACEOF 11631_ACEOF
11653cat confdefs.h >>conftest.$ac_ext 11632cat confdefs.h >>conftest.$ac_ext
11689 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11668 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11690 (eval $ac_try) 2>&5 11669 (eval $ac_try) 2>&5
11691 ac_status=$? 11670 ac_status=$?
11692 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11671 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11693 (exit $ac_status); }; }; then 11672 (exit $ac_status); }; }; then
11694 rxvt_cv_path_lastlogx=`cat conftestval` 11673 path_lastlogx=`cat conftestval`
11695else 11674else
11696 echo "$as_me: program exited with status $ac_status" >&5 11675 echo "$as_me: program exited with status $ac_status" >&5
11697echo "$as_me: failed program was:" >&5 11676echo "$as_me: failed program was:" >&5
11698sed 's/^/| /' conftest.$ac_ext >&5 11677sed 's/^/| /' conftest.$ac_ext >&5
11699 11678
11700( exit $ac_status ) 11679( exit $ac_status )
11701rxvt_cv_path_lastlogx= 11680path_lastlogx=
11702fi 11681fi
11703rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11682rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11704fi 11683fi
11705fi 11684fi
11706echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlogx" >&5 11685echo "$as_me:$LINENO: result: $path_lastlogx" >&5
11707echo "${ECHO_T}$rxvt_cv_path_lastlogx" >&6 11686echo "${ECHO_T}$path_lastlogx" >&6
11708if test x$rxvt_cv_path_lastlogx != x; then 11687if test x$path_lastlogx != x; then
11709 11688
11710cat >>confdefs.h <<_ACEOF 11689cat >>confdefs.h <<_ACEOF
11711#define RXVT_LASTLOGX_FILE "$rxvt_cv_path_lastlogx" 11690#define LASTLOGX_FILE "$path_lastlogx"
11712_ACEOF 11691_ACEOF
11713 11692
11714fi 11693fi
11715 11694
11716 11695
11987#define HAVE_NL_LANGINFO 1 11966#define HAVE_NL_LANGINFO 1
11988_ACEOF 11967_ACEOF
11989 11968
11990fi 11969fi
11991 11970
11971
11992echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5 11972echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11993echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6 11973echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11994if test "${rxvt_can_pass_fds+set}" = set; then 11974if test "${can_pass_fds+set}" = set; then
11995 echo $ECHO_N "(cached) $ECHO_C" >&6 11975 echo $ECHO_N "(cached) $ECHO_C" >&6
11996else 11976else
11997 cat >conftest.$ac_ext <<_ACEOF 11977 cat >conftest.$ac_ext <<_ACEOF
11998/* confdefs.h. */ 11978/* confdefs.h. */
11999_ACEOF 11979_ACEOF
12000cat confdefs.h >>conftest.$ac_ext 11980cat confdefs.h >>conftest.$ac_ext
12001cat >>conftest.$ac_ext <<_ACEOF 11981cat >>conftest.$ac_ext <<_ACEOF
12002/* end confdefs.h. */ 11982/* end confdefs.h. */
12003 11983
11984#include <cstddef> // broken bsds (is that redundant) need this
12004#include <sys/types.h> 11985#include <sys/types.h>
12005#include <sys/socket.h> 11986#include <sys/socket.h>
11987#include <sys/uio.h>
12006 11988
12007int 11989int
12008main () 11990main ()
12009{ 11991{
12010 11992
12055 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12037 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12056 (eval $ac_try) 2>&5 12038 (eval $ac_try) 2>&5
12057 ac_status=$? 12039 ac_status=$?
12058 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12040 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12059 (exit $ac_status); }; }; then 12041 (exit $ac_status); }; }; then
12060 rxvt_can_pass_fds=yes 12042 can_pass_fds=yes
12061else 12043else
12062 echo "$as_me: failed program was:" >&5 12044 echo "$as_me: failed program was:" >&5
12063sed 's/^/| /' conftest.$ac_ext >&5 12045sed 's/^/| /' conftest.$ac_ext >&5
12064 12046
12065rxvt_can_pass_fds=no 12047can_pass_fds=no
12066fi 12048fi
12067rm -f conftest.err conftest.$ac_objext \ 12049rm -f conftest.err conftest.$ac_objext \
12068 conftest$ac_exeext conftest.$ac_ext 12050 conftest$ac_exeext conftest.$ac_ext
12069fi 12051fi
12070echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5 12052echo "$as_me:$LINENO: result: $can_pass_fds" >&5
12071echo "${ECHO_T}$rxvt_can_pass_fds" >&6 12053echo "${ECHO_T}$can_pass_fds" >&6
12072if test x$rxvt_can_pass_fds = xyes; then 12054if test x$can_pass_fds = xyes; then
12073 12055
12074cat >>confdefs.h <<\_ACEOF 12056cat >>confdefs.h <<\_ACEOF
12075#define HAVE_UNIX_FDPASS 1 12057#define HAVE_UNIX_FDPASS 1
12076_ACEOF 12058_ACEOF
12077 12059
12078else 12060else
12079 { { echo "$as_me:$LINENO: error: urxvt requires unix-compliant filehandle passing ability" >&5 12061 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
12080echo "$as_me: error: urxvt requires unix-compliant filehandle passing ability" >&2;} 12062echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
12081 { (exit 1); exit 1; }; } 12063 { (exit 1); exit 1; }; }
12082fi 12064fi
12065
12083 12066
12084echo "$as_me:$LINENO: checking for broken XIM callback" >&5 12067echo "$as_me:$LINENO: checking for broken XIM callback" >&5
12085echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 12068echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
12086if test "${rxvt_broken_ximcb+set}" = set; then 12069if test "${rxvt_broken_ximcb+set}" = set; then
12087 echo $ECHO_N "(cached) $ECHO_C" >&6 12070 echo $ECHO_N "(cached) $ECHO_C" >&6
12721done 12704done
12722 12705
12723fi 12706fi
12724 12707
12725 12708
12709
12710echo "$as_me:$LINENO: checking for tty group" >&5
12711echo $ECHO_N "checking for tty group... $ECHO_C" >&6
12712if test "${tty_group+set}" = set; then
12713 echo $ECHO_N "(cached) $ECHO_C" >&6
12714else
12715 if test "$cross_compiling" = yes; then
12716 tty_group=no
12717else
12718 cat >conftest.$ac_ext <<_ACEOF
12719/* confdefs.h. */
12720_ACEOF
12721cat confdefs.h >>conftest.$ac_ext
12722cat >>conftest.$ac_ext <<_ACEOF
12723/* end confdefs.h. */
12724
12725#include <sys/types.h>
12726#include <sys/stat.h>
12727#include <unistd.h>
12728#include <grp.h>
12729
12730main()
12731{
12732 struct stat st;
12733 struct group *gr;
12734 char *tty;
12735 gr = getgrnam("tty");
12736 tty = ttyname(0);
12737 if (gr != 0
12738 && tty != 0
12739 && (stat(tty, &st)) == 0
12740 && st.st_gid == gr->gr_gid)
12741 return 0;
12742 else
12743 return 1;
12744}
12745_ACEOF
12746rm -f conftest$ac_exeext
12747if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12748 (eval $ac_link) 2>&5
12749 ac_status=$?
12750 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12751 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
12752 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12753 (eval $ac_try) 2>&5
12754 ac_status=$?
12755 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12756 (exit $ac_status); }; }; then
12757 tty_group=yes
12758else
12759 echo "$as_me: program exited with status $ac_status" >&5
12760echo "$as_me: failed program was:" >&5
12761sed 's/^/| /' conftest.$ac_ext >&5
12762
12763( exit $ac_status )
12764tty_group=no
12765fi
12766rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
12767fi
12768fi
12769echo "$as_me:$LINENO: result: $tty_group" >&5
12770echo "${ECHO_T}$tty_group" >&6
12771if test x$tty_group = xyes; then
12772
12773cat >>confdefs.h <<\_ACEOF
12774#define TTY_GID_SUPPORT 1
12775_ACEOF
12776
12777fi
12778
12726if test x$support_xft = xyes; then 12779if test x$support_xft = xyes; then
12727 LIBS="$LIBS `pkg-config xft --libs`" 12780 # Extract the first word of "pkg-config", so it can be a program name with args.
12781set dummy pkg-config; ac_word=$2
12782echo "$as_me:$LINENO: checking for $ac_word" >&5
12783echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12784if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
12785 echo $ECHO_N "(cached) $ECHO_C" >&6
12786else
12787 case $PKG_CONFIG in
12788 [\\/]* | ?:[\\/]*)
12789 ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
12790 ;;
12791 *)
12792 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12793for as_dir in $PATH
12794do
12795 IFS=$as_save_IFS
12796 test -z "$as_dir" && as_dir=.
12797 for ac_exec_ext in '' $ac_executable_extensions; do
12798 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12799 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
12800 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12801 break 2
12802 fi
12803done
12804done
12805
12806 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
12807 ;;
12808esac
12809fi
12810PKG_CONFIG=$ac_cv_path_PKG_CONFIG
12811
12812if test -n "$PKG_CONFIG"; then
12813 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
12814echo "${ECHO_T}$PKG_CONFIG" >&6
12815else
12816 echo "$as_me:$LINENO: result: no" >&5
12817echo "${ECHO_T}no" >&6
12818fi
12819
12820 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12821 LIBS="$LIBS `$PKG_CONFIG xft --libs`"
12728 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12822 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12823 else
12824 # Extract the first word of "xft-config", so it can be a program name with args.
12825set dummy xft-config; ac_word=$2
12826echo "$as_me:$LINENO: checking for $ac_word" >&5
12827echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12828if test "${ac_cv_path_XFT_CONFIG+set}" = set; then
12829 echo $ECHO_N "(cached) $ECHO_C" >&6
12830else
12831 case $XFT_CONFIG in
12832 [\\/]* | ?:[\\/]*)
12833 ac_cv_path_XFT_CONFIG="$XFT_CONFIG" # Let the user override the test with a path.
12834 ;;
12835 *)
12836 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12837for as_dir in $PATH
12838do
12839 IFS=$as_save_IFS
12840 test -z "$as_dir" && as_dir=.
12841 for ac_exec_ext in '' $ac_executable_extensions; do
12842 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12843 ac_cv_path_XFT_CONFIG="$as_dir/$ac_word$ac_exec_ext"
12844 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12845 break 2
12846 fi
12847done
12848done
12849
12850 test -z "$ac_cv_path_XFT_CONFIG" && ac_cv_path_XFT_CONFIG="no"
12851 ;;
12852esac
12853fi
12854XFT_CONFIG=$ac_cv_path_XFT_CONFIG
12855
12856if test -n "$XFT_CONFIG"; then
12857 echo "$as_me:$LINENO: result: $XFT_CONFIG" >&5
12858echo "${ECHO_T}$XFT_CONFIG" >&6
12859else
12860 echo "$as_me:$LINENO: result: no" >&5
12861echo "${ECHO_T}no" >&6
12862fi
12863
12864 if test $XFT_CONFIG != no; then
12865 LIBS="$LIBS `$XFT_CONFIG --libs`"
12866 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
12867 fi
12868 fi
12729 12869
12730 12870
12731for ac_header in X11/Xft/Xft.h 12871for ac_header in X11/Xft/Xft.h
12732do 12872do
12733as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 12873as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
14137s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 14277s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
14138s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 14278s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
14139s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 14279s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
14140s,@rxvt_intp_define@,$rxvt_intp_define,;t t 14280s,@rxvt_intp_define@,$rxvt_intp_define,;t t
14141s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 14281s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
14282s,@PKG_CONFIG@,$PKG_CONFIG,;t t
14283s,@XFT_CONFIG@,$XFT_CONFIG,;t t
14142s,@PERL@,$PERL,;t t 14284s,@PERL@,$PERL,;t t
14143s,@PERLLIB@,$PERLLIB,;t t 14285s,@PERLLIB@,$PERLLIB,;t t
14144s,@PERLFLAGS@,$PERLFLAGS,;t t 14286s,@PERLFLAGS@,$PERLFLAGS,;t t
14145s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t 14287s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
14146s,@IF_PERL@,$IF_PERL,;t t 14288s,@IF_PERL@,$IF_PERL,;t t
14677 14819
14678if test x$support_xpm = xyes; then 14820if test x$support_xpm = xyes; then
14679 echo " Xpm library: $XPM_LIBS" 14821 echo " Xpm library: $XPM_LIBS"
14680fi 14822fi
14681 14823
14682echo "
14683The following are set in config.h
14684"
14685if test x$support_utmp != xyes; then 14824if test x$support_utmp != xyes; then
14686 echo " utmp support: disabled" 14825 echo " utmp support: disabled"
14687 echo 14826 echo
14688else 14827else
14689 echo " utmp support: enabled 14828 echo " utmp support: enabled
14690 utmp file: $rxvt_cv_path_utmp 14829 utmp file: $path_utmp
14691 utmpx file: $rxvt_cv_path_utmpx 14830 utmpx file: $path_utmpx
14692 wtmp file: $rxvt_cv_path_wtmp 14831 wtmp file: $path_wtmp
14693 wtmpx file: $rxvt_cv_path_wtmpx 14832 wtmpx file: $path_wtmpx
14694 lastlog file: $rxvt_cv_path_lastlog 14833 lastlog file: $path_lastlog
14695 ttys/ttytab file: $rxvt_cv_path_ttytab 14834 lastlogx file: $path_lastlogx"
14696 embedded perl: $support_perl"
14697 echo
14698fi 14835fi
14699if test x$term != x; then 14836if test x$term != x; then
14700 echo " set TERM to: $term" 14837 echo " set TERM to: $term"
14701fi 14838fi
14702if test x$terminfo != x; then 14839if test x$terminfo != x; then
14705echo " default resource name: $RESNAME" 14842echo " default resource name: $RESNAME"
14706echo " resource class: $RESCLASS" 14843echo " resource class: $RESCLASS"
14707if test x$RESFALLBACK != x; then 14844if test x$RESFALLBACK != x; then
14708 echo " resource class fallback: $RESFALLBACK" 14845 echo " resource class fallback: $RESFALLBACK"
14709fi 14846fi
14847echo
14848echo " embedded perl: $support_perl"
14710echo 14849echo
14711if test x$support_xpm = xneedsmanualspecification; then 14850if test x$support_xpm = xneedsmanualspecification; then
14712 echo ".----------------------------------------------------------------." 14851 echo ".----------------------------------------------------------------."
14713 echo ". WARNING: --enable-xpm-background was specified however the ." 14852 echo ". WARNING: --enable-xpm-background was specified however the ."
14714 echo ". XPM includes files and libraries could not be found. ." 14853 echo ". XPM includes files and libraries could not be found. ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines